<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/operators/FlowchartOperator_lb609c1224dccae6_51461612.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/dataStorage/ArrayPath_lb609c1224dccae6_51461612.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/helpers/ArrayHelper_lb609c1224dccae6_51461612.php';

class GetArrayElementOperator_lb609c1224dccae6_51461612 extends FlowchartOperator_lb609c1224dccae6_51461612
{

    protected $array;
    protected $path;
    protected $value;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['array']['value'])) {
            $this->array = ArrayHelper_lb609c1224dccae6_51461612::castToArray($this->inDataPorts['array']['value']);
        }
        if(!empty($this->inDataPorts['path']['value'])) {
            $this->path = $this->inDataPorts['path']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'array') {
            $this->array = ArrayHelper_lb609c1224dccae6_51461612::castToArray($value);
        } else if ($id == 'path') {
            $this->path = $value;
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->value;
    }

    public function process($params = array())
    {
        try {
            $this->value = $this->getValue($this->array, $this->path);
        } catch(Exception $exception) {
            $this->value = null;
        }
    }

    private function getValue($array, $path)
    {
        $arrayPath = new ArrayPath_lb609c1224dccae6_51461612($array);
        return $arrayPath->getValue($path);
    }

}
