<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/operators/FlowchartOperator_lb609c1224dccae6_51461612.php';

class GetArrayFromJsonOperator_lb609c1224dccae6_51461612 extends FlowchartOperator_lb609c1224dccae6_51461612
{

    protected $json;
    protected $array;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['json']['value'])) {
            $this->json = $this->inDataPorts['json']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'json') {
            $this->json = $value;
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->array;
    }

    public function process($params = array())
    {
        try {
            $this->array = json_decode($this->json, true);
        } catch(Exception $exception) {
            $this->array = '';
        }
    }

}
