<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/operators/FlowchartOperator_lb609c1224dccae6_51461612.php';

class GetJsonFromArrayOperator_lb609c1224dccae6_51461612 extends FlowchartOperator_lb609c1224dccae6_51461612
{

    protected $array;
    protected $json;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['array']['value'])) {
            $this->array = $this->inDataPorts['array']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'array') {
            $this->array = $value;
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->json;
    }

    public function process($params = array())
    {
        try {
            $this->json = json_encode($this->array);
        } catch(Exception $exception) {
            $this->json = '';
        }
    }

}
