<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/operators/FlowchartOperator_lb609c1224dccae6_51461612.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/dataStorage/ArrayPath_lb609c1224dccae6_51461612.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb609c1224dccae6_51461612/helpers/ArrayHelper_lb609c1224dccae6_51461612.php';

class SetArrayElementsByPathOperator_lb609c1224dccae6_51461612 extends FlowchartOperator_lb609c1224dccae6_51461612
{

    protected $array;
    protected $elements = [];
    protected $result;

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if ($id == 'array') {
            $this->array = ArrayHelper_lb609c1224dccae6_51461612::castToArray($value);
        } else if (isset($this->inDataPorts[$id]['value']) && ($this->inDataPorts[$id]['value'] != '')) {
            $this->elements[$id] = [
                'value' => $value,
                'path' => $this->inDataPorts[$id]['value'],
            ];
        }
        parent::setInDataPortById($id, $value);
    }

    public function getOutDataByPortId($portId)
    {
        return $this->result;
    }

    public function process($params = array())
    {
        try {
            $this->result = $this->array;
            $arrayPath = new ArrayPath_lb609c1224dccae6_51461612($this->result);
            foreach ($this->elements as $element) {
                $arrayPath->setValue($element['path'], $element['value']);
            }
            $this->result = $arrayPath->toArray();
        } catch(Exception $exception) {
            $this->result = $this->array;
        }
    }

}
